<template>
  <article class="kit view page">
    <div class="container">
      <div class="line breadcrumb">
        <Breadcrumb :breadcrumbs="breadcrumbs"/>
      </div>
      <slot name="title" />
      <div class="content">
        <div class="description">
          <div class="kit helptext">
            <slot/>
          </div>
          <scroll-to class="desktopshow"/>
        </div>
        <div class="navigation">
          <faq-nav-tree/>
        </div>
      </div>
      <flink
        href="/"
        class="link _likeButton">
        <i class="icon arr-left"/>
        Вернуться к автоконсьержу
      </flink>
    </div>
  </article>
</template>

<script>
import NavTree from '~/components/helper/faq/nav-tree';
import Breadcrumb from '~/components/redesign/app-breadcrumbs';
import ScrollTo from '~/components/redesign/helper/faq/scrollTo';

export default {
  components: {
    Breadcrumb,
    'faq-nav-tree': NavTree,
    ScrollTo,
  },
  props: {
    breadcrumbs: {
      type: Array,
      default: null,
    },
  },
};
</script>

<style scoped lang="postcss">
  @import '../../../../assets/css/pages/helper/text.css';
  @import '../../../../assets/css/pages/helper/helper-faq.css';

  .content {
    min-height: auto;
  }

  .scrollto {
    height: calc(100% + 3rem);
  }

  .link._likeButton {
    padding-top: 16px;
    padding-bottom: 16px;
  }
</style>
